declare namespace NodeJS {
  interface ProcessEnv {
    NEXT_PUBLIC_URL: string;
    NEXT_PUBLIC_API_URL: string;
    NEXT_PUBLIC_BOT_USERNAME: string;
    NEXT_PUBLIC_BOT_TOKEN: string;
    NEXT_PUBLIC_WEBAPP_URL: string;
    PORT: string;
    NODE_ENV: 'development' | 'production' | 'test';
    MONGODB_URI: string;
    JWT_SECRET: string;
    TELEGRAM_BOT_TOKEN: string;
    TELEGRAM_APP_ID: string;
    TELEGRAM_APP_HASH: string;
  }
} 